summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Yalla-One <yallaone@gmail.com>2010-05-11 20:02:00 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:02:00 +0200
commit746cf3047d760fc663653fb398e11106006fca06 (patch)
treed485b0362e05199597e030675bf832a20e06077e /system
parent4eabcc2c4fca9669a24a2b1dce26283e2a242179 (diff)
downloadslackbuilds-746cf3047d760fc663653fb398e11106006fca06.tar.gz
slackbuilds-746cf3047d760fc663653fb398e11106006fca06.tar.xz
system/irqbalance: Added to 12.0 repository
Diffstat (limited to 'system')
-rw-r--r--system/irqbalance/README6
-rw-r--r--system/irqbalance/irqbalance.SlackBuild70
-rw-r--r--system/irqbalance/irqbalance.info8
-rw-r--r--system/irqbalance/slack-desc18
4 files changed, 102 insertions, 0 deletions
diff --git a/system/irqbalance/README b/system/irqbalance/README
new file mode 100644
index 0000000000..f20b6203f8
--- /dev/null
+++ b/system/irqbalance/README
@@ -0,0 +1,6 @@
+irqbalance is a Linux daemon that distributes interrupts over the
+processors and cores you have in your computer system. The design goal
+of irqbalance is to do find a balance between power savings and optimal
+performance. To a large degree, the work irqbalance does is invisible
+to you; if irqbalance performs its job correctly, nobody will ever notice
+it's there or want to turn it off.
diff --git a/system/irqbalance/irqbalance.SlackBuild b/system/irqbalance/irqbalance.SlackBuild
new file mode 100644
index 0000000000..c08ed431ca
--- /dev/null
+++ b/system/irqbalance/irqbalance.SlackBuild
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+# Slackware build script for irqbalance
+
+# Written in 2006 by Yalla-One <yallaone@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=irqbalance
+VERSION=0.55
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=${TMP}/package-${PRGNAM}
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root.root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+make || exit 1
+
+mkdir -p $PKG/usr/sbin
+cp $PRGNAM $PKG/usr/sbin
+strip --strip-unneeded ${PKG}/usr/sbin/$PRGNAM
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp $CWD/README $CWD/$PRGNAM.SlackBuild \
+ $PKG/usr/doc/$PRGNAM-$VERSION/
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd ${PKG}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
diff --git a/system/irqbalance/irqbalance.info b/system/irqbalance/irqbalance.info
new file mode 100644
index 0000000000..98f4ab2094
--- /dev/null
+++ b/system/irqbalance/irqbalance.info
@@ -0,0 +1,8 @@
+PRGNAM="irqbalance"
+VERSION="0.55"
+HOMEPAGE="http://www.irqbalance.org/"
+DOWNLOAD="http://irqbalance.org/releases/irqbalance-0.55.tar.gz"
+MD5SUM="9f6b314ff1fdc14173abeb40592d4edf"
+MAINTAINER="Yalla-One"
+EMAIL="yallaone@gmail.com"
+APPROVED="rworkman"
diff --git a/system/irqbalance/slack-desc b/system/irqbalance/slack-desc
new file mode 100644
index 0000000000..157ae57999
--- /dev/null
+++ b/system/irqbalance/slack-desc
@@ -0,0 +1,18 @@
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------|
+irqbalance: IRQBalance (IRQ balanceing daemon)
+irqbalance:
+irqbalance: irqbalance is a Linux* daemon that distributes
+irqbalance: interrupts over the processors and cores you have in
+irqbalance: your computer system. The design goal of irqbalance is
+irqbalance: to do find a balance between power savings and optimal
+irqbalance: performance. To a large degree, the work irqbalance
+irqbalance: does is invisible to you; if irqbalance performs its
+irqbalance: job correctly, nobody will ever notice it's there or
+irqbalance: want to turn it off.
+irqbalance: